public abstract class Athlete
{
	private String firstName;
	private String lastName;
	private double height;
	private int weight;
	private boolean medFormsIn;
	private String gender;
	private String sport;
	
	public Athlete(String first, String last, double ht, int wt, 
					boolean forms, String gen, String sp)
	{
		firstName = first;
		lastName = last;
		height = ht;
		weight = wt;
		medFormsIn = forms;
		gender = gen;
		sport = sp;
	}
	
	public String getName()
	{
		return firstName + " " + lastName;
	}
	
	public boolean getForms()
	{
		return medFormsIn;
	}
	
	public String getSport()
	{
		return sport;
	}
	
	public void setFirst(String f)
	{
		firstName = f;
	}
	
	public void setForms(boolean forms)
	{
		medFormsIn = forms;
	}
	// the rest of the getters/setters are left as an exercise to the reader
	
	public abstract void displayStats();
	
	public void printInfo()
	{
		System.out.println(getName() + " " + sport);
	}
	
	public String toString()
	{
		return getName() + " " + height + " " + weight + " " + medFormsIn + " " + gender + " " + sport;
	}
}
