import java.util.Random;

public class BallCollection
{
    private int mySize;

    public Ball[] arr;
    
    public BallCollection()
    {
	this(10);
    }
    
    public BallCollection(int newSize)
    {
	arr = new Ball[newSize];
	for (int i = 0; i < arr.length; i++)
	    arr[i] = new Ball(i+1);
    }
    
    public void shuffle(int start)
    {
	Random r = new Random();
	for (int i = start; i < arr.length; i++)
	    {
		int randomPos = r.nextInt(arr.length - start) + start;
		Ball temp = arr[i];
		arr[i] = arr[randomPos];
		arr[randomPos] = temp;
	    }
    }
    
    public Ball getBall(int pos)
    {
	return arr[pos];
    }
    
    public String toString()
    {
	String s = "";
	for (int i = 0; i < arr.length; i++)
	    s = s + arr[i].getValue() + "   ";
	return s;
    }
}
