public class Point2D implements PointIF
{
	private int x,y;
	
	public Point2D(int xc, int yc)
	{
		x = xc;
		y = yc;
	}
	
	public Point2D()
	{
		this(0,0);
	}
	
	public void setCoords(PointIF p)
	{
		Point2D p2 = (Point2D)p;
		x = p2.x;	
		y = p2.y;
	}
	
	public PointIF getCoords()
	{
		Point2D p = new Point2D(x,y);
		return p;
	}
	
	public double distance(PointIF p)
	{
		Point2D p2 = (Point2D)p;
		double d1 = x - p2.x;
		d1 *= d1;
		double d2 = y - p2.y;
		d2 *= d2;
		return Math.sqrt(d1 + d2);
	}
	
	public String toString()
	{
		return x + ", " + y;
	}
}