class PointXYZ extends PointXY
{
	private int z;
	
	public PointXYZ(int xc, int yc, int zc)
	{
		super(xc,yc);  // default super called if explicit call not made
		/*
		//these won't work because there's no default Point constructor
		setX(xc);
		setY(yc);
		*/
		z = zc;
	}
	
	public void setZ(int zc)
	{
		z = zc;
	}
	
	public int getZ()
	{
		return z;
	}
	
	public void setXYZ(int xc, int yc, int zc)
	{
		setXY(xc,yc);
		z = zc;
	}
	
	public String toString()
	{
		return super.toString() + "," + z;
	}
}
