/**
 * Factory class to model a fireworks supplier.  
 * We can ask it to create fireworks, complete
 * with launch and explosion.
 * written by Scott McElfresh, February 2003
 * modified by da' Moose, February 2003
 * modified by mjs, June 2003
*/

import java.util.Random;

public class Supplier
{
  // method to create a firework
  public Firework createFirework()
  {
     Firework f = null;
     Random rand = new Random();
     
	 int fireworkChoice = rand.nextInt(2);
	 switch(fireworkChoice)
	 {
	 	case 0: f = new BetterFirework(); break;
	 	case 1: f = new SimpleFirework(); break;
	 }
     
     return f;
  }
}